Bug 492383 - Review Request: netstat-nat - A tool that displays NAT connections
Review Request: netstat-nat - A tool that displays NAT connections
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 13:07 EDT by nucleo
Modified: 2009-03-31 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.4.9-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 16:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-03-26 13:07:48 EDT
Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/netstat-nat/netstat-nat.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/netstat-nat/netstat-nat-1.4.9-1.fc10.src.rpm
Description: Netstat-nat is a small program written in C. It displays NAT connections, managed by netfilter/iptables which comes with the > 2.4.x linux kernels. The program reads its information from '/proc/net/nf_conntrack', which is the temporary conntrack-storage of netfilter.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1259830

rpmlint: 5 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-03-27 03:27:08 EDT
rpmlint output:
netstat-nat-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netstat-nat-1.4.9/netstat-nat.c
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- You need to remove the executable perms in %setup.

- Time stamps are not preserved. Use
make DESTDIR=%{buildroot} INSTALL="install -p" install

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 nucleo 2009-03-27 05:06:34 EDT
(In reply to comment #1)
> - You need to remove the executable perms in %setup.
> 
> - Time stamps are not preserved. Use
> make DESTDIR=%{buildroot} INSTALL="install -p" install

- Fixed file permissions and time stamps

Spec URL: 
http://nucleo.fedorapeople.org/pkg-reviews/netstat-nat/netstat-nat.spec
SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/netstat-nat/netstat-nat-1.4.9-2.fc10.src.rpm

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1260694
Comment 3 Susi Lehtola 2009-03-27 05:14:53 EDT
Okay, looks good.

The package adheres to the guidelines and is thus
APPROVED.
Comment 4 nucleo 2009-03-27 05:42:08 EDT
(In reply to comment #3)
Thank you for review.

New Package CVS Request
=======================
Package Name: netstat-nat
Short Description: A tool that displays NAT connections
Owners: nucleo
Branches: F-9 F-10
InitialCC:
Comment 5 Susi Lehtola 2009-03-27 06:34:34 EDT
Aren't you going to branch for EPEL (EL-4, EL-5)? This would be very useful there too, and due to its simplicity very easy to maintain.
Comment 6 nucleo 2009-03-27 07:06:41 EDT
(In reply to comment #5)
> Aren't you going to branch for EPEL (EL-4, EL-5)? This would be very useful
> there too, and due to its simplicity very easy to maintain.  

Can you give me more information?

I already setup plague-client as this described in FAQ
http://fedoraproject.org/wiki/PackageMaintainers/UsingPlagueClientFaq

What next should I do to add netstat-nat to EPEL?
Comment 7 Susi Lehtola 2009-03-27 09:18:19 EDT
You need to make CVS requests also for the EL-4 and EL-5 branches to get them :)
Comment 8 nucleo 2009-03-27 09:26:55 EDT
(In reply to comment #7)
OK
But as I understood there are different build systems.
For EPEL I should do the same as for Fedora(cvs-import.sh, make build, make update)?

New Package CVS Request
=======================
Package Name: netstat-nat
Short Description: A tool that displays NAT connections
Owners: nucleo
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 9 Susi Lehtola 2009-03-27 09:44:12 EDT
Yeah, except that you don't do make update; the built package goes to the EPEL testing repository and is then pushed later on to the stable repository.

This will change shortly, though, when EPEL will switch to koji instead of Plague.
Comment 10 nucleo 2009-03-27 09:47:52 EDT
(In reply to comment #9)
OK. Thank you.
Comment 11 Kevin Fenzi 2009-03-27 16:14:47 EDT
cvs done.
Comment 12 Fedora Update System 2009-03-27 17:23:35 EDT
netstat-nat-1.4.9-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/netstat-nat-1.4.9-2.fc9
Comment 13 Fedora Update System 2009-03-27 17:25:06 EDT
netstat-nat-1.4.9-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/netstat-nat-1.4.9-2.fc10
Comment 14 nucleo 2009-03-31 02:37:10 EDT
Package Change Request
======================
Package Name: netstat-nat
New Branches: F-11
Owners: nucleo
Comment 15 Fedora Update System 2009-03-31 16:28:01 EDT
netstat-nat-1.4.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-03-31 16:35:03 EDT
netstat-nat-1.4.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.